Bug 155288 - [patch] java/openjdk6 Add com.sun.image.codec.jpeg support
[patch] java/openjdk6 Add com.sun.image.codec.jpeg support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jung-uk Kim
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-05 10:20 UTC by rfarmer
Modified: 2011-03-10 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (24.92 KB, patch)
2011-03-05 10:20 UTC, rfarmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rfarmer 2011-03-05 10:20:09 UTC
Add com.sun.image.codec.jpeg support, from IcedTea.

http://icedtea.classpath.org/wiki/IcedTea_JDK6_Patches
http://icedtea.classpath.org/hg/icedtea6/file/55bfe07e584d/patches/jpegclasses.patch

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-05 10:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-java

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-03-07 22:41:10 UTC
jkim        2011-03-07 22:41:02 UTC

  FreeBSD ports repository

  Modified files:
    java/openjdk6        Makefile 
  Added files:
    java/openjdk6/files/icedtea jpegclasses.patch 
  Log:
  Add an option to apply extra patches originated from IcedTea project (turned
  off by default) and sort options.  Add a basic wrapper to resurrect
  com.sun.image.codec.jpeg using javax.imageio under the new option.
  
  Obtained from:  icedtea.classpath.org
  PR:             java/155288
  
  Revision  Changes    Path
  1.46      +23 -18    ports/java/openjdk6/Makefile
  1.1       +643 -0    ports/java/openjdk6/files/icedtea/jpegclasses.patch (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jung-uk Kim freebsd_committer 2011-03-07 22:41:35 UTC
Responsible Changed
From-To: freebsd-java->jkim

I'll take it.
Comment 4 Jung-uk Kim freebsd_committer 2011-03-07 22:42:03 UTC
State Changed
From-To: open->closed

Committed.  Thanks! 

Please note com.sun.image.codec.jpeg package was deprecated and removed by Sun: 

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6527962 

Also, please note this patch is just a wrapper using javax.imageio and it is 
incomplete.  See the following upstream PR for more information: 

http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=192 

Basically, you should not use com.sun.image.codec.jpeg in any new code. ;-)
Comment 5 mike.jakubik 2011-03-09 17:46:31 UTC
Thanks for this patch, we have old software that uses this class but we
donât have the source for it.
Comment 6 mike.jakubik 2011-03-09 18:38:15 UTC
Hrm, unfortunately this does not work with my code, i get the following
error.

java.lang.IncompatibleClassChangeError: Found class
com.sun.image.codec.jpeg.JPEGImageEncoder, but interface was expected
Comment 7 Jung-uk Kim freebsd_committer 2011-03-09 19:41:32 UTC
On Wednesday 09 March 2011 01:40 pm, Mike Jakubik wrote:
>  Hrm, unfortunately this does not work with my code, i get the
> following error.
>
>  java.lang.IncompatibleClassChangeError: Found class
>  com.sun.image.codec.jpeg.JPEGImageEncoder, but interface was
> expected

That's because it is incomplete as noted in the PR, i.e., 
JPEGImageEncoder is just an empty stub.

Jung-uk Kim
Comment 8 rfarmer 2011-03-10 00:45:39 UTC
On Wed, Mar 9, 2011 at 10:38 AM, Mike Jakubik
<mike.jakubik@intertainservices.com> wrote:
> Hrm, unfortunately this does not work with my code, i get the following
> error.
>
> java.lang.IncompatibleClassChangeError: Found class
> com.sun.image.codec.jpeg.JPEGImageEncoder, but interface was expected
>
>
>

Yeah, as jkim noted, it doesn't really do anything. It just works
around a build failure for graphics/batik (and possibly other ports).

This was probably poorly thought out but it solved a problem I was
having so I submitted it.

-- 
Rob Farmer